Index: code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11636)
+++ code/branches/CampaignMap_HS17/data/levels/NC_StoryModeLevel.oxw	(revision 11663)
@@ -28,24 +28,36 @@
   >
 
-  <SpawnPoint position="000.000, 000.000, 1000.000" spawnclass=StoryModePawn orientation="0, 0, 0, 1" pawndesign= StoryModeEscort />
-   
+  <SpawnPoint position="000.000, 000.000, 000.000" spawnclass=StoryModePawn orientation="0, 0, 0, 1" pawndesign=StoryModeEscort /> 
 
- <StoryModePlanet levelName="plizzanet1" position="0,0,0" direction="0,0,0">
+ <StoryModePlanet levelName="Level 1" position="0,0,-500" direction="1,0,0">
   <attached>
-    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+    <Model position="0,0,0" mesh="ETH.mesh" scale=80 />
   </attached>
  </StoryModePlanet>
 
-<StoryModePlanet levelName="plizzanet2" position="600,0,0" direction="0,0,0">
+<StoryModePlanet levelName="Level 2" position="500,0,-1000" direction="0,0,0">
   <attached>
-    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+    <Model position="0,0,0" mesh="planets/moon.mesh" scale=50 />
   </attached>
  </StoryModePlanet>
     
-<StoryModePlanet levelName="plizzanet3" position="1200,0,0" direction="0,0,0">
+<StoryModePlanet levelName="Level 3" position="-500,0,-1000" direction="0,1,0">
   <attached>
-    <Model position="0,0,0" mesh="planets/moon.mesh" scale=100 />
+    <Model position="0,0,0" mesh="can.mesh" scale=50 />
   </attached>
 </StoryModePlanet>
+
+<StoryModePlanet levelName="Level 4" position="1000,0,-1500" direction="0,0,0">
+  <attached>
+    <Model position="0,0,0" mesh="cube.mesh" scale=50 />
+  </attached>
+ </StoryModePlanet>
+
+ <StoryModePlanet levelName="Level 5" position="-1000,0,-1500" direction="0,0,0">
+  <attached>
+    <Model position="0,0,0" mesh="Pilz.mesh" scale=50 />
+  </attached>
+ </StoryModePlanet>
+
   
   </Scene>
Index: code/branches/CampaignMap_HS17/data/levels/templates/StoryModeEscort.oxt
===================================================================
--- code/branches/CampaignMap_HS17/data/levels/templates/StoryModeEscort.oxt	(revision 11636)
+++ code/branches/CampaignMap_HS17/data/levels/templates/StoryModeEscort.oxt	(revision 11663)
@@ -2,5 +2,5 @@
   <StoryModePawn
    hudtemplate            = StoryModeHUD2
-   camerapositiontemplate = spaceshipghostcameras
+   camerapositiontemplate = spaceshipescortcameras
    spawnparticlesource    = "Orxonox/fairytwirl"
    spawnparticleduration  = 3
@@ -77,7 +77,7 @@
   <StoryModePawn>
     <camerapositions>
-      <CameraPosition position="0,0, 1000" drag=true mouselook=true />
-      <CameraPosition position="0,20, 90" drag=true mouselook=true />
-      <CameraPosition position="0,30,120" drag=true mouselook=true />
+      <CameraPosition position="0, 500, 400" drag=true mouselook=false />
+      <CameraPosition position="0,20, 90" drag=true mouselook=false />
+      <CameraPosition position="0,30,120" drag=true mouselook=false />
     </camerapositions>
   </StoryModePawn>
Index: code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11636)
+++ code/branches/CampaignMap_HS17/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11663)
@@ -54,4 +54,5 @@
 #include "core/config/ConfigValueIncludes.h"
 #include "tools/TextureGenerator.h"
+#include "controllers/NewHumanController.h"
 
 #include "worldentities/StoryModePlanet.h"
@@ -91,5 +92,7 @@
         float yScale = this->getActualSize().y;
 
-        
+        //Sets the Camera angle at 30 degrees above it, so levels can be seen better    
+        CameraManager::getInstance().getActiveCamera()->setOrientation(Vector3::UNIT_X, Degree(-30));
+
         int i = 0;
         for(StoryModePlanet* planet : ObjectList<StoryModePlanet>()){
@@ -101,9 +104,4 @@
             texts.push_back(text);
             texts[i]->setDimensions(xScale, yScale);
-
-            //PROBLEM: function doesn't get called automatically by the xml macro,
-            //which is why we need to call it manually here. works with storymodeplanet.h...
-            //this->setFont("Monofur");
-            //this->setTextSize(0.05f);
 
             //font name of the text needs to be set here, not in the xml setter function
Index: code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.cc	(revision 11636)
+++ code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.cc	(revision 11663)
@@ -31,4 +31,5 @@
 #include "items/Engine.h"
 #include "controllers/ArtificialController.h"
+#include "controllers/NewHumanController.h"
 
 #include "core/CoreIncludes.h"
@@ -48,4 +49,5 @@
     {
         RegisterObject(StoryMode);
+        orxout() << "kill yourself1";
 
         this->gtinfo_ = new GametypeInfo(context);
@@ -65,5 +67,4 @@
     void StoryMode::exit()
     {
-        orxout() << "s funktioniert"<< endl;
         for (StoryMode* mission : ObjectList<StoryMode>())
         { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
@@ -72,4 +73,5 @@
         //Gametype::end();
     }
+
 /*
     void Mission::setTeams()
Index: code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.h
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.h	(revision 11636)
+++ code/branches/CampaignMap_HS17/src/orxonox/gametypes/StoryMode.h	(revision 11663)
@@ -41,4 +41,5 @@
             virtual ~StoryMode() {}
             static void exit();
+//            virtual void playerEntered(PlayerInfo* player);
 
             
Index: code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.cc
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.cc	(revision 11636)
+++ code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.cc	(revision 11663)
@@ -53,6 +53,7 @@
     void StoryModePawn::moveFrontBack(const Vector2& value)
         {
+            //this->getCamera()->setOrientation(Vector3::UNIT_X, Degree(-30));
             Vector3 newPos = this->getCamera()->getPosition();
-            newPos.y += value.x;
+            newPos.z -= 5*value.x;
             this->getCamera()->setPosition(newPos);
         }
@@ -61,5 +62,5 @@
         {   
             Vector3 newPos = this->getCamera()->getPosition();
-            newPos.x += value.x;
+            newPos.x += 5*value.x;
             this->getCamera()->setPosition(newPos);
         }
Index: code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.h
===================================================================
--- code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.h	(revision 11636)
+++ code/branches/CampaignMap_HS17/src/orxonox/worldentities/pawns/StoryModePawn.h	(revision 11663)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Cyrill Burgener
+ *      Claudio Fanconi & Nikola Bolt
  *
  */