Index: code/branches/AsteroidMining_HS17/data/levels/AsteroidFarming.oxw
===================================================================
--- code/branches/AsteroidMining_HS17/data/levels/AsteroidFarming.oxw	(revision 11646)
+++ code/branches/AsteroidMining_HS17/data/levels/AsteroidFarming.oxw	(revision 11664)
@@ -18,5 +18,7 @@
 ?>
 
+
 <WorldAmbientSound source="Asteroid_rocks.ogg" looping="true" playOnLoad="true" />
+
 
 <Level>
@@ -32,4 +34,5 @@
     hasPhysics = true
   >
+
 
   <?lua
@@ -102,6 +105,36 @@
     <AsteroidMinable size=30 position="-100, -500, -100" velocity= "0, -30, 0"/>
 
-    <!--- SpicedAsteroidField --->
-    <SpicedAsteroidField count=30 mDensity= 0.5 maxSize=40 minSize=1 position="5000, 0, 0" radius=1000/>
+    <!--- SpicedAsteroidField -->
+    <SpicedAsteroidField count=30 mDensity= 0.5 maxSize=40 minSize=1 position="5000, 0, 0" radius=1000 velocity="-100,0,0"/>
+
+
+    <!-- Asteroid Belt with a planet -->
+    <SpicedAsteroidBelt position="-15000,0,0" mDensity=0.3 yaw=90 pitch=90 roll=90 segments=30 minSize=1 maxSize=50 radius0=7190 radius1 = 7800 count=250/>
+    <Planet
+      position="-15000,0,0"
+      scale="5000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="10000000"
+      pitch="0"
+      mesh="planets/muunilinst.mesh"
+      atmosphere="atmosphere1"
+      rotationaxis="1,0,0"
+      rotationrate="1.0"
+      atmospheresize="80.0f"
+      imagesize="1024.0f"
+      collisiondamage = 2
+      enablecollisiondamage = true
+    >      
+      <attached>
+        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="5000" position="0,0,0" />
+      </collisionShapes>
+    </Planet>
+
+
 
 
Index: code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.cc
===================================================================
--- code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11646)
+++ code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.cc	(revision 11664)
@@ -28,4 +28,6 @@
 
 /*
+
+    @file AsteroidMinable.cc
 
 *
@@ -45,4 +47,6 @@
 
 KNACKPUNKTE: 
+o Super-XML-Argumente werden nicht richtig geparst (Velocity, Pitch, Yaw etc. ) 
+
 
 OFFEN: 
@@ -58,5 +62,4 @@
 o Density doesn't add up to 1...
 o set collisionDamage? Just for static entities?
-o AsteroidBelt?
 
 o Dokumentieren mit @brief?
@@ -64,6 +67,4 @@
 o Add sound effect (crunching etc. ) (No sound in space...)
 o Explosion parts
-o custom HUD
-
 
 HANDBUCH:
@@ -124,30 +125,13 @@
 #include "util/Math.h"
 
-
-// #include "infos/PlayerInfo.h"
-// #include "controllers/Controller.h"
-// #include "gametypes/Gametype.h"
-// #include "graphics/ParticleSpawner.h"
-// #include "worldentities/ExplosionChunk.h"
-// #include "worldentities/ExplosionPart.h"
-
-// #include "core/object/ObjectListIterator.h"
-// #include "controllers/FormationController.h"
-
-#include "../pickup/items/HealthPickup.h"
 #include "../pickup/PickupSpawner.h"
 #include "../pickup/Pickup.h"
-//#include "../pickup/pickup ..... pickupable
+
 #include "../objects/collisionshapes/SphereCollisionShape.h"
 #include "../../orxonox/graphics/Model.h"
 
 
-
-
-
-
-
-namespace orxonox
-{
+namespace orxonox{
+
     RegisterClass(AsteroidMinable);
 
@@ -156,16 +140,23 @@
 
         RegisterObject(AsteroidMinable);
-
         this->context = context;
-        this->initialised = false;
-        this->dropStuff = true; // Default
+
+        // Default Values:
+        this->size = 10; 
+        this->dropStuff = true; 
+        this->generateSmaller = true; 
+        this->health_ = 15*size; 
+        this->maxHealth_ = this->health_;
+        this->acceptsPickups_ = false; 
 
         //Noetig, damit nicht sofort zerstoert?
         this->setCollisionType(WorldEntity::CollisionType::Dynamic);
+        this->enableCollisionCallback();
+
 
         // Old from Pawn
         this->registerVariables();
 
-        //orxout() << "AsteroidMining:: Pseudo-Konstruktor passiert!" << endl;
+        this->initialised = false;
 
     }
@@ -184,8 +175,4 @@
         }
 
-        this->setCollisionType(WorldEntity::CollisionType::Dynamic);
-        this->enableCollisionCallback();
-
-        // Default Values
         this->context = c;
         this->size = size;
@@ -197,13 +184,15 @@
 
         this->setPosition(position);
-        this->setVelocity(v); // velocity = v; // The right one? 
-        //this->roll = rand()*5; //etwas Drehung. richtige Variable
-
-
-        // Add Model    //<Model position="0,-40,40" yaw="90" pitch="-90" roll="0" scale="4" mesh="ast6.mesh" />
+        this->setVelocity(v); 
+        //this->roll = rand()*5; //etwas Drehung. Richtige Variable?
+
+        this->setCollisionType(WorldEntity::CollisionType::Dynamic);
+        this->enableCollisionCallback();
+
+
+        // Add Model, random one of the 6 shapes
         Model* hull = new Model(this->context);
-        // random one of the 6 shapes
         char meshThingy[] = "";
-        sprintf(meshThingy, "ast%.0f.mesh", round(5*rnd())+1); //    sprintf(str, "Value of Pi = %f", M_PI);
+        sprintf(meshThingy, "ast%.0f.mesh", round(5*rnd())+1); 
         hull->setMeshSource(meshThingy);
         hull->setScale(this->size);
@@ -212,14 +201,11 @@
         // Collision shape
         SphereCollisionShape* cs = new SphereCollisionShape(this->context);
-        cs->setRadius((this->size)*2); //OFFEN: Feinabstimmung der Radien. 2.5 in AsteroidField.lua
+        cs->setRadius((this->size)*2); //OFFEN: Feinabstimmung der Radien. 
         this->attachCollisionShape(cs); 
 
-        // Old from Pawn
         this->registerVariables();
 
         this->initialised=true; 
 
-        //orxout() << "AsteroidMining:: Initialisierung Zweitkonstruktor abgeschlosssssen." << endl;
-
     }
 
@@ -227,4 +213,5 @@
 
     }
+
     // @brief Helper method. Create a new asteroid to have an appropriate size for the collision shape etc. 
     void AsteroidMinable::putStuff(){
@@ -232,43 +219,37 @@
         // Just create a new asteroid to avoid Collision shape scale problems etc. 
         AsteroidMinable* reborn = new AsteroidMinable(this->context, this->size, this->getPosition(), this->getVelocity(), this->dropStuff);
-        reborn->toggleShattering(true); // mainly here to avoid 'unused' warning. 
+        (void)reborn; // avoid compiler warning
         this->bAlive_ = false;
         this->destroyLater();
-        //this->~AsteroidMinable(); // seems dangerous, yields warning.  Necessary for efficiency? 
-
-    }
-
-    void AsteroidMinable::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(AsteroidMinable, XMLPort, xmlelement, mode);
-        //        XMLPortParam(PickupSpawner, "pickup", setPickupTemplateName, getPickupTemplateName, xmlelement, mode);
+
+    }
+
+    void AsteroidMinable::XMLPort(Element& xmlelement, XMLPort::Mode mode){
+
+        SUPER(AsteroidMinable, XMLPort, xmlelement, mode); 
+
         XMLPortParam(AsteroidMinable, "size", setSize, getSize, xmlelement, mode);
-
-    }
-
-    void AsteroidMinable::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
-    {
+        XMLPortParam(AsteroidMinable, "generateSmaller", toggleShattering, doesShatter, xmlelement, mode);
+        XMLPortParam(AsteroidMinable, "dropStuff", toggleDropStuff, doesDropStuff, xmlelement, mode); 
+
+    }
+
+    void AsteroidMinable::XMLEventPort(Element& xmlelement, XMLPort::Mode mode){
+
         SUPER(AsteroidMinable, XMLEventPort, xmlelement, mode);
 
-        XMLPortEventState(AsteroidMinable, BaseObject, "vulnerability", setVulnerable, xmlelement, mode);
-    }
-
-    void AsteroidMinable::registerVariables()
-    {
+    }
+
+    void AsteroidMinable::registerVariables(){
 
         registerVariable(this->size, VariableDirection::ToClient);
         registerVariable(this->generateSmaller, VariableDirection::ToClient);
-
+        registerVariable(this->dropStuff, VariableDirection::ToClient); 
         registerVariable(this->initialised, VariableDirection::ToClient);
 
-            //         float size;
-            // bool generateSmaller;
-            // bool initialised;
-
-            // Context* context;
-    }
-
-    void AsteroidMinable::tick(float dt)
-    {
+    }
+
+    void AsteroidMinable::tick(float dt){
+
         if(!(this->initialised)){this->putStuff();} 
 
@@ -277,15 +258,7 @@
     }
 
-
-
-
-    void AsteroidMinable::death() //ueberschreiben
-    {
-
-        // orxout() << "AsteroidMinable::Death() aufgerufen." << endl;
-
-        // OFFEN: Sauber kapputten
-        // just copied other stuff:
-        // this->setHealth(1);
+    void AsteroidMinable::death(){ // ueberschreibt das Zeug in Pawn
+
+        // just copied that from somewhere else. 
         this->bAlive_ = false;
         this->destroyLater();
@@ -312,11 +285,8 @@
             thingy->setRespawnTime(0.2f);
         }
-        // orxout() << "AsteroidMining::Death(): Passed Pickup stuff!" << endl;
 
         // Smaller Parts = 'Children'
         if(this->generateSmaller){this->spawnChildren();}
 
-        // orxout() << "Wieder retour in death() geschafft. " << endl;
-
     }
 
@@ -324,5 +294,4 @@
 void AsteroidMinable::spawnChildren(){// Spawn smaller Children 
 
-    
     if (this->size <=1){return;} // Absicherung trivialer Fall
 
@@ -331,13 +300,17 @@
     if(num > 10){num = 10;} // no max function in C!
     int masses[num]; // Masses of the asteroids, at least one. 
-    //orxout() << "SpawnChildren(): Passed basic stuff. num = " << num << "; massRem(total) = "<< massRem << endl;
+
+    // orxout() << "SpawnChildren(): Passed basic stuff. num = " << num << "; massRem(total) = "<< massRem << endl;
 
     massRem = massRem-num; // mass is at least one, add again below. 
 
     // Randomnised spawning points for the new asteroids
-    float phi[num]; // assuming that it gets initialised to 0. Add (= {0.0})?
-    float theta[num];
+    float phi[num]; 
+    float theta[num]; 
+
+    // Discusting C stuff -> use that to initialise dynamic array values to 0. 
+    for(int twat = 0; twat<num; ++twat){masses[twat] = 0; phi[twat] = 0.0; theta[twat] = 0.0;}
+
     float piG = 3.1415927410125732421875; //pi; // Math.pi ist statisch oder so. 
-
     float d_p = 2*piG/num;
     float d_t = piG/num;
@@ -347,4 +320,5 @@
     // float thetaOffset = rnd()*pi;
     float rScaling; // scale radius to prevent asteroids from touching. (distance=AsteroidRadius/tan(sector/2))
+
     if(num == 1 ){
         rScaling = 1; // avoid tan(90). Unused. 
@@ -404,23 +378,16 @@
             result = 0;// reset
             rVal = rnd();// between 0 and 1
-            // orxout() << "Random Value picked: " << rVal << endl;
             probSum = probDensity[0]; 
-            //orxout() << "Sum at start: " << probSum << endl;
-
-            while(rVal>probSum && result<massRem){// Not yet found && there-s smth to distribute (Incrementing once inside!)
+
+            while(rVal>probSum && result<massRem){// Not yet found && there-s smth left to distribute (Incrementing once inside!)
                 if(result<(massRem-2)){probSum = probSum + probDensity[result+1];} // avoid logical/acess error
                 ++result;
-                // orxout() << "Sum so far: " << probSum << ". Just added " << probDensity[result+1] <<  endl;
             }
 
             massRem = massRem-result;
-            masses[trav] = 1 +result; // at least one 
-            // orxout() << "Mass chosen for child " << trav << " is: " << masses[trav] << endl;
-
-        }
-    }else{// Everyone has mass 1. Initialising the array to 1 doesn-t seem to work. Hideous C language!
-        for(int schnaegg = 0; schnaegg<num; ++schnaegg){
-            masses[schnaegg] = 1;
-        }
+            masses[trav] = 1 +result; // Fragments have mass of at least one. 
+        }
+    }else{
+        for(int schnaegg = 0; schnaegg<num; ++schnaegg){masses[schnaegg] = 1;}
     }
 
@@ -437,5 +404,4 @@
         }
         
-        // orxout() << "Creating asteroid with mass " << masses[fisch] << " at relative postition " << *pos << endl;
         AsteroidMinable* child = new AsteroidMinable(this->context, masses[fisch], this->getPosition() + *pos, this->getVelocity(), this->dropStuff);
 
Index: code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.h
===================================================================
--- code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.h	(revision 11646)
+++ code/branches/AsteroidMining_HS17/src/modules/asteroidmining/AsteroidMinable.h	(revision 11664)
@@ -26,4 +26,11 @@
  *
  */
+
+
+/**
+    @file AsteroidMinable.h
+
+
+*/
 
 #ifndef _AsteroidMinable_H__
@@ -64,6 +71,8 @@
 
             inline void toggleShattering(bool b){this->generateSmaller = b;}
+            inline bool doesShatter(){return this->generateSmaller;}
+
             inline void toggleDropStuff(bool b){this->dropStuff = b;}
-
+            inline bool doesDropStuff(){return this->dropStuff;}
 
         protected:
@@ -74,4 +83,5 @@
             bool generateSmaller;
             bool dropStuff;
+
             bool initialised;
 
Index: code/branches/AsteroidMining_HS17/src/modules/asteroidmining/CMakeLists.txt
===================================================================
--- code/branches/AsteroidMining_HS17/src/modules/asteroidmining/CMakeLists.txt	(revision 11646)
+++ code/branches/AsteroidMining_HS17/src/modules/asteroidmining/CMakeLists.txt	(revision 11664)
@@ -2,4 +2,5 @@
   AsteroidMinable.cc
   SpicedAsteroidField.cc
+  SpicedAsteroidBelt.cc
 )
 
Index: code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.cc
===================================================================
--- code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.cc	(revision 11646)
+++ code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.cc	(revision 11664)
@@ -27,17 +27,8 @@
  */
 
-/*
+/**
 
-*
-*
-*<OFFEN Describe 
-Math from asteroidField.lua used. 
-*
-*
-
-
-DESCRIPTION
-o Andere: Simpel wie in asteroidField.lua, oder einfach Asteroiden, die nichts abwerfen?
---> Letzteres scheint passender, simpler. 
+    @file SpicedAsteroidField.cc
+    @brief Asteroid field with lots of parameters. Derived from asteroidField.lua
 
 
@@ -60,46 +51,44 @@
 #include "util/Math.h"
 
-// #include "infos/PlayerInfo.h"
-// #include "controllers/Controller.h"
-// #include "gametypes/Gametype.h"
-// #include "graphics/ParticleSpawner.h"
-// #include "worldentities/ExplosionChunk.h"
-// #include "worldentities/ExplosionPart.h"
-
-// #include "core/object/ObjectListIterator.h"
-// #include "controllers/FormationController.h"
+#include "../../orxonox/graphics/Billboard.h"
 
 
-//#include "../pickup/pickup ..... pickupable
-#include "../objects/collisionshapes/SphereCollisionShape.h"
-#include "../../orxonox/graphics/Model.h"
+namespace orxonox{
 
-
-
-
-
-
-namespace orxonox
-{
     RegisterClass(SpicedAsteroidField);
 
     SpicedAsteroidField::SpicedAsteroidField(Context* context) : Pawn(context) {
 
-        // Da auch noetig? Wegen set in XML-Code?
         RegisterObject(SpicedAsteroidField);
+        this->context = context;
 
-        this->context = context;
+        // Default Values: 
+        this->count = 30; 
+        this->mDensity = 0.5;
+        this->position = Vector3(0,0,0);
+        this->maxSize = 40; 
+        this->minSize = 1; 
+        this->radius = 1000;
         this->foggy = true; 
         this->fogDensity = 0.5;
-        this->count = 0;
 
-        // Old from Pawn
         this->registerVariables();
+    }
 
+    SpicedAsteroidField::SpicedAsteroidField(Context* c, Vector3 p, int minS, int maxS, int w, int count, bool f, float mD, float fD): Pawn(c){
 
-        // this->create();
-        this->bAlive_ = false;
-        this->destroyLater();
+        this->context = c;
+        this->position = p; 
+        this->minSize = minS; 
+        this->maxSize = maxS; 
+        this->radius = w; 
+        this->count = count; 
+        this->foggy = f; 
+
+        this->mDensity = mD;
+        this->fogDensity = fD; 
+
     }
+
 
     SpicedAsteroidField::~SpicedAsteroidField(){
@@ -115,4 +104,5 @@
 
         Vector3* relPos; 
+
 
         for(int gertrud = 0; gertrud<count; ++gertrud){
@@ -131,35 +121,23 @@
             a->toggleDropStuff(spiced);
 
-            // @TODO: Fox Fog stuff, error due to billbord
-
-//             Billboard* bb;
-//             if(this->foggy && mod(gertrud, 5) == 0){
-//                 bb = new Billboard(this->context);
-//                 bb->setPosition(this-position + *relPos);
-//                 bb->setMaterial("Smoke/Smoke");
-//                 bb->setScale(size); // tricky?
-
-//                 bb->setColour(ColourValue(this-fogDensity, this->fogDensity, this->fogDensity)); // 4rd argument = transparency?
-                
-// //     print("<Billboard ")
-// //         print("position = \"")
-// //             print(posX) print(",")
-// //             print(posY) print(",")
-// //             print(posZ) print("\" ")
-// //         print("colour=\"")
-// //             print(brightness) print(",")
-// //             print(brightness) print(",")
-// //             print(brightness) print("\" ")
-// //         print("material=\"Smoke/Smoke\" scale=")
-// //         print(size)
-// //     print(" />")
-//             }
+            // A problem
+            a->setVelocity(this->getVelocity());
+            
+            // Fog is iplemented with billboards.
+            Billboard* bb;
+            if(this->foggy && mod(gertrud, 5) == 0){
+                bb = new Billboard(this->context);
+                bb->setPosition(this->position + *relPos);
+                bb->setMaterial("Smoke/Smoke");
+                bb->setScale(size);
+                bb->setColour(ColourValue(this->fogDensity, this->fogDensity, this->fogDensity));    
+            }
         }
     }
 
-    void SpicedAsteroidField::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        // SUPER(SpicedAsteroidField, XMLPort, xmlelement, mode);
-        //        XMLPortParam(PickupSpawner, "pickup", setPickupTemplateName, getPickupTemplateName, xmlelement, mode);
+    void SpicedAsteroidField::XMLPort(Element& xmlelement, XMLPort::Mode mode){
+
+        SUPER(SpicedAsteroidField, XMLPort, xmlelement, mode); 
+
         XMLPortParam(SpicedAsteroidField, "count", setCount, getCount, xmlelement, mode);
         XMLPortParam(SpicedAsteroidField, "mDensity", setMineralDensity, getMineralDensity, xmlelement, mode);
@@ -174,15 +152,9 @@
 
 
+    void SpicedAsteroidField::XMLEventPort(Element& xmlelement, XMLPort::Mode mode){
 
-
-    void SpicedAsteroidField::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        // SUPER(SpicedAsteroidField, XMLEventPort, xmlelement, mode);
-
-        XMLPortEventState(SpicedAsteroidField, BaseObject, "vulnerability", setVulnerable, xmlelement, mode);
     }
 
-    void SpicedAsteroidField::registerVariables()
-    {
+    void SpicedAsteroidField::registerVariables(){
 
         registerVariable(this->count, VariableDirection::ToClient);
@@ -195,5 +167,4 @@
         registerVariable(this->fogDensity, VariableDirection::ToClient);
 
-
     }
 
@@ -201,115 +172,7 @@
 
         this->create();
-        // orxout() << "SpicedAsteroidField is done. " << endl;
-
         this->bAlive_ = false;
         this->destroyLater();
     }
 
-
-
-
-
 }
-
-// --[[ fog generator
-// generates fog
-//     posX, posY, posZ - position in space
-//     size - size of billboard
-//     brightness - [0,1] fog brightness
-// --]]
-// function generateFog(posX, posY, posZ, size, brightness)
-//     print("<Billboard ")
-//         print("position = \"")
-//             print(posX) print(",")
-//             print(posY) print(",")
-//             print(posZ) print("\" ")
-//         print("colour=\"")
-//             print(brightness) print(",")
-//             print(brightness) print(",")
-//             print(brightness) print("\" ")
-//         print("material=\"Smoke/Smoke\" scale=")
-//         print(size)
-//     print(" />")
-// end
-
-// --[[ asteroid field generator
-// generates asteroid field
-//     posX, posY, posZ - position in space
-//     minSize, maxSize - size boundaries of each asteroid
-//     radius - size of the cube around position in space
-//     count - number of asteroids
-//     fog - enable fog 0/1
-// --]]
-// function asteroidField(posX, posY, posZ, minSize, maxSize, radius, count, fog)
-//     for i = 1, count, 1 do
-//         size = (math.random() * (maxSize - minSize)) + minSize
-//         pX = (2 * math.random() * radius) - radius + posX
-//         pY = (2 * math.random() * radius) - radius + posY
-//         pZ = (2 * math.random() * radius) - radius + posZ
-//         print("<StaticEntity ")
-
-//         print("position = \"")
-//         print(pX) print(",")
-//         print(pY) print(",")
-//         print(pZ) print("\" ")
-
-//         print("scale = \"") print(size) print("\" ")
-
-//         print("collisionType = static linearDamping = 0.8 angularDamping = 1 ")
-//         print("collisiondamage = 1000 enablecollisiondamage = true>")
-
-//         print("<attached>")
-//             print("<Model mass=\"") print(size * 10) print("\" ")
-//             print("mesh=\"ast") print(math.mod(i,6) + 1) print(".mesh\" />")
-//         print("</attached>")
-
-//         print("<collisionShapes> ")
-//             print("<SphereCollisionShape radius=\"")
-//             print(size * 2.5) print("\" />")
-//         print("</collisionShapes>")
-
-//         print("</StaticEntity>")
-
-//         if fog == 1 and i % 5 == 0 then
-//             generateFog(pX, pY, pZ, radius*0.04, 0.2)
-//         end
-//     end
-// end
-
-
-// --[[ asteroid belt generator
-// generates asteroid belt
-//     posX, posY, posZ - position in space
-//     yaw, pitch - rotation
-//     minSize, maxSize - size boundaries of each asteroid
-//     radius0, radius1 - inner/outer radius
-//     count - number of asteroids
-//     fog - enable fog 0/1
-// --]]
-// function asteroidBelt(centerX, centerY, centerZ, yaw, pitch, segments, minSize, maxSize, radius0, radius1, count, fog)
-//     dPhi = (2 * math.pi) / segments
-//     width = math.abs(radius1 - radius0)
-//     radius = (radius1 + radius0) / 2
-//     segmentCount = count / segments
-
-//     print("<StaticEntity collisionType=static yaw=") print(yaw)
-//     print(" pitch=") print(pitch)
-
-//     print(" position = \"")
-//         print(centerX) print(",")
-//         print(centerY) print(",")
-//         print(centerZ) print("\"")
-//     print(">")
-
-//     print("<attached>")
-
-//     for i = 0, segments - 1, 1 do
-//         asteroidField((radius * math.cos(i * dPhi)),
-//                     (radius * math.sin(i * dPhi)),
-//                     0, minSize, maxSize, width, segmentCount, fog)
-//     end
-
-//     print("</attached>")
-//     print("</StaticEntity>")
-// end
Index: code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.h
===================================================================
--- code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.h	(revision 11646)
+++ code/branches/AsteroidMining_HS17/src/modules/asteroidmining/SpicedAsteroidField.h	(revision 11664)
@@ -27,4 +27,12 @@
  */
 
+/**
+
+    @file SpicedAsteroidField.h
+    @brief Asteroid field with lots of parameters. Derived from asteroidField.lua
+
+
+*/
+
 #ifndef _SpicedAsteroidField_H__
 #define _SpicedAsteroidField_H__
@@ -34,14 +42,10 @@
 #include <string>
 #include <vector>
-#include "interfaces/PickupCarrier.h"
-#include "interfaces/RadarViewable.h"
+
 #include "worldentities/ControllableEntity.h"
-#include "worldentities/ExplosionPart.h"
-
 #include "../../orxonox/worldentities/pawns/Pawn.h"
 
 namespace orxonox // tolua_export
 {
-
 
     // tolua_export
@@ -51,4 +55,5 @@
         public:
             SpicedAsteroidField(Context* context);// This constructor is for XML access only!
+            SpicedAsteroidField(Context* c, Vector3 p, int minS, int maxS, int w, int count, bool f, float mD, float fD); 
 
             virtual ~SpicedAsteroidField();
@@ -83,12 +88,11 @@
 
         protected:
-            // Da neue Argumente reinstellen
-            //float asteroidVersion; // Bodenstrich-Konvention?, 
-            // Wert zwischen 1 und 6 (Spezialdinger?), die Mesh-Form
+
+            Context* context;
+
             float count;
             float mDensity; // Mineral density, between 0 and 1;
 
             Vector3 position;
-            Context* context;
             
             int maxSize;