Index: /code/branches/Asteroid_HS17/data/levels/Asteroids2D.oxw
===================================================================
--- /code/branches/Asteroid_HS17/data/levels/Asteroids2D.oxw	(revision 11668)
+++ /code/branches/Asteroid_HS17/data/levels/Asteroids2D.oxw	(revision 11669)
@@ -1,5 +1,5 @@
 <LevelInfo
  name = "Asteroids2D"
- description = "Try to prevent asteroids from colliding into your spaceshuttle. Be prepared to dodge all asteroids or destroy them."
+ description = "Try to prevent asteroids from colliding into your spaceship. Be prepared to dodge all asteroids or destroy them."
  tags = "minigame"
  screenshot = "emptylevel.png"
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.cc
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.cc	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.cc	(revision 11669)
@@ -35,9 +35,17 @@
     TODO: 
         - Implement a counting system for the score
-        - HUD can be improved (display health, points, level etc.)
-        - Projectiles still fly in a mysterious direction 
+        - HUD can be improved (display health, points, level etc.
         - Problem: The asteroids spawn randomly on the playing field.
             During spawn or level up, there is the possibility that they pawn at the position of the ship.
             ->spawn somewhere with a safty distance/radius
+        - look over collisionshapes of the stones ->  sometimes collison with stone is not triggered for bigger stones 
+        - modify parameters in data/levels/templates/spaceshipAsteroids2D.oxt for a better playing experience -> mass, damping, rotation etc.
+
+    IDEAS:
+        - make Asteroids more beautiful! (setting, ship, explosion particles, stones)
+        - particle effect after you got hit -> during bImmune is true
+        - implement shield -> object that can be triggered
+        - Projectiles should also move over the boarders and appear on the other side
+            -> they can also hurt the player
 
 */
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.h
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.h	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2D.h	(revision 11669)
@@ -35,5 +35,4 @@
      - spawns stones in every level up
      - if you shoot and hit a stone, it will spit into two smaller stones
-     - 
     @ingroup Asteroids2D
 */
@@ -56,5 +55,4 @@
 #include "gamestates/GSLevel.h"
 #include "chat/ChatManager.h"
-#include <vector>
 
 // ! HACK
@@ -109,4 +107,5 @@
             int multiplier;
 
+
        private:
 
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DCenterPoint.cc
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DCenterPoint.cc	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DCenterPoint.cc	(revision 11669)
@@ -51,4 +51,6 @@
         this->height_ = 646;
     }
+
+    
     /**
     @brief
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.cc
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.cc	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.cc	(revision 11669)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Viviane Yang
  *
  */
@@ -41,7 +41,5 @@
 
         this->Asteroids2DGame = nullptr;
-        //this->Ship = nullptr;
         this->bShowPoints_ = true;
-        this->bShowHealth_ = true;
     }
 
@@ -77,22 +75,4 @@
         }
 
-        /*if(this->bShowHealth_)
-        {
-            const std::string& health = multi_cast<std::string>(this->Ship->getHealth());
-            if (this->Asteroids2DGame->lives <= 0)
-            {
-                setTextSize(0.2);
-                setPosition(Vector2(0.1, 0.02));
-                this->setCaption("Final score:\n" + health);
-                this->setColour(ColourValue(1, 0, 0, 1));
-            }
-            else
-            {
-                setTextSize(0.04);
-                setPosition(Vector2(0.2, 0.02));
-                this->setColour(ColourValue(1, 1, 1, 1));
-                this->setCaption(health);
-            }
-        }*/
     }
 
@@ -101,8 +81,8 @@
         SUPER(Asteroids2DHUDinfo, changedOwner);
 
-        if (this->getOwner() && this->getOwner()->getGametype())//&& this->getOwner->getPlayer())
+        if (this->getOwner() && this->getOwner()->getGametype())
         {
             this->Asteroids2DGame = orxonox_cast<Asteroids2D*>(this->getOwner()->getGametype());
-            //this->Ship = orxonox_cast<Asteroids2DShip*>(this->getOwner()->getPlayer());
+
         }
         else
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.h
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.h	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DHUDinfo.h	(revision 11669)
@@ -21,5 +21,8 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Viviane Yang
+ *      
+ *      TODO: - get information for lives and level from gametype
+ *            - implement it as you did for points  
  *
  */
@@ -53,9 +56,4 @@
                 { return this->bShowPoints_; }
 
-            inline void setShowHealth(bool value)
-                { this->bShowHealth_ = value; }
-            inline bool getShowHealth() const
-                { return this->bShowHealth_; }
-
 
         private:
@@ -64,5 +62,5 @@
             bool bShowLevel_;
             bool bShowPoints_;
-            bool bShowHealth_;
+
 
     };
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DPrereqs.h
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DPrereqs.h	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DPrereqs.h	(revision 11669)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Viviane Yang
  *   Co-authors:
  *      ...
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DStone.cc
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DStone.cc	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DStone.cc	(revision 11669)
@@ -120,8 +120,8 @@
     void Asteroids2DStone::damage(float damage, float healthdamage, float shielddamage, Pawn* originator, const btCollisionShape* cs)
     {
+        if (getGame() && orxonox_cast<Asteroids2DShip*>(originator) != nullptr)
+            getGame()->addPoints(100);
         split();
         //Pawn::damage(damage, healthdamage, shielddamage, originator, cs);
-        if (getGame() && orxonox_cast<Asteroids2DShip*>(originator) != nullptr && getHealth() <= 0)
-            getGame()->addPoints(3*42);
     }
 
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.cc
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.cc	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.cc	(revision 11669)
@@ -91,13 +91,13 @@
         model->setScale(5);
 
-        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        //get position and orientation of the ship to know in which direction the projectile needs to fire off
+        Pawn* player = this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn();
 
-        projectile->setOrientation(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getOrientation());
-        projectile->setPosition(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getPosition());
+        projectile->setOrientation(player->getOrientation());
+        projectile->setPosition(player->getPosition());
 
-        //auf 2D Ebene druecken
-        Vector3 muzzle2D = this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getOrientation()* WorldEntity::FRONT;
+        //Velocity & position of the projectile must be y = 0 since the game takes place in the x-z plane
+        Vector3 muzzle2D = player->getOrientation()* WorldEntity::FRONT ;
         muzzle2D.y = 0; 
-
         projectile->setVelocity(muzzle2D * this->speed_);
 
Index: /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.h
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.h	(revision 11668)
+++ /code/branches/Asteroid_HS17/src/modules/asteroids2D/Asteroids2DWeapon.h	(revision 11669)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Florian Zinggeler
+ *      Viviane Yang
  *   Co-authors:
  *      ...
@@ -53,5 +53,5 @@
 
         protected:
-            virtual void shot() override;
+            virtual void shot() override; //2D movement
             WeakPtr<Projectile> projectile;
             WeakPtr<Asteroids2D> game;